#
# spec file for package sd
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           sd
Version:        0.7.6+g33
Release:        bp156.3.9
Summary:        Intuitive find & replace CLI
URL:            https://github.com/chmln/sd
License:        (Apache-2.0 OR MIT) AND (MIT OR Unlicense) AND BSD-3-Clause AND MIT AND (MIT OR Unlicense)
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  zstd

%description
sd uses regex syntax that you already know from JavaScript and Python.
Forget about dealing with quirks of sed or awk - get productive immediately.

%prep
%autosetup -a1
mkdir -p .cargo
cp %{SOURCE2} .cargo/config.toml

%build
%{cargo_build}

%install
%{cargo_install}

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/sd

%changelog
* Sun Aug 13 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Replace obsoleted `disabled` option with `manual`
* Tue Feb 14 2023 socvirnyl.estela@gmail.com
- Automatic update of vendored dependencies.
- Use zstd compressed tarballs.
* Tue Dec 13 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update to version 0.7.6+g33:
  * Nitpick: a flag can start with `-` too
  * Doc: nitpick `--` has no special meaning to shells
  * Fix paths to release binary in "publish" action
  * Fix recursive preview (show file path)
  * Fix test for replace_into_stdout, since color was added
  * Fix #94: Do not replace symlink with output file
* Mon Jun 20 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Wed May  4 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- update LICENSE string
* Wed May  4 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial spec for sd (0.7.6)
